package org.greenstone.gsdl3.gs3build.database;

import java.util.List;
import java.util.ArrayList;

public class GS3SQLAction
{ String      table;
  List        values;

  public GS3SQLAction(String table)
  {
    this.table  = table;
    this.values = new ArrayList();
  }

  public void addValue(String field, String value, String type)
  { this.values.add(new GS3SQLValue(field, value, type));
  }
  
  public void addValue(String field, String value)
  { this.values.add(new GS3SQLValue(field, value));
  }
  
  public void addField(String field)
  { this.values.add(new GS3SQLValue(field, null));
  }
}

