package org.greenstone.gsdl3.gs3build.database;

public class GS3SQLInsert extends GS3SQLAction
  { public GS3SQLInsert(String table)
    { super(table);
    }

    public String toString()
    {
      StringBuffer reply = new StringBuffer();
      reply.append("INSERT INTO ");
      reply.append(this.table);
      reply.append(" ");
      if (this.values.size() >= 1)
	reply.append("(");
      for (int i = 0; i < this.values.size(); i ++)
      { GS3SQLValue value = (GS3SQLValue) this.values.get(i);
        if (i > 0)
	  reply.append(", ");
        reply.append(value.field);
      }
      if (this.values.size() >= 1)
	reply.append(")");
      reply.append(" VALUES ");
      if (this.values.size() >= 1)
	reply.append("(");
      for (int i = 0; i < this.values.size(); i ++)
      { GS3SQLValue value = (GS3SQLValue) this.values.get(i);
        if (i > 0)
	  reply.append(", ");
	if (value.getType() == null ||
	    value.getType().equals(GS3SQLField.VARCHAR_TYPE))
	{
	    reply.append("\"");
	}
        reply.append(value.value);
	if (value.getType() == null ||
	    value.getType().equals(GS3SQLField.VARCHAR_TYPE))
	{
	    reply.append("\"");
	}
      }
      if (this.values.size() >= 1)
	reply.append(")");
      reply.append(";");
      return reply.toString();
    }
  }




