#ifndef _GSPLATFORM_H_
#define _GSPLATFORM_H_
#include <string>

// use the standard namespace
#if !defined (GSDL_NAMESPACE_BROKEN)
#if defined(GSDL_USE_OBJECTSPACE)
using namespace ospace::std;
#else
using namespace std;
#endif
#endif

#include <windows.h>

static string gsPlatform_WINDOWSNT("WindowsNT");
static string gsPlatform_WINDOWS9X("Windows9x");
static string gsPlatform_WINDOWS32S("Windows32s");
static string gsPlatform_WINDOWS("Windows");

class gsPlatform
{	
private:
  OSVERSIONINFO platformInfo;
protected:
public:
  gsPlatform();
  bool isWindows9x();
  bool isWindowsNT();
  bool isWindows32s();
  bool isOldWindows32s();
  bool isExplorerShell();
  bool isUserAdministrator();
  bool reboot();
  string platformString();
};
#endif
